// =====================================================================
//  $Id: daqmain.cc,v 1.1 2006/02/15 07:04:51 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: daqmain.cc,v $
//  Revision 1.1  2006/02/15 07:04:51  goiwai
//  ドキュメント用に最も簡単な例題ソフトウェアDAQプログラムを作りました。
//
// =====================================================================
#include "TRunManager.hh"

#include "DaqSystemAction.hh"
#include "DaqRunAction.hh"
#include "DaqEventAction.hh"
#include "DaqCrateDefinition.hh"
#include "DaqReadoutBookDefinition.hh"

int main()
{
  // まずはランマネージャーを作る
  TRunManager* manager = new TRunManager();

  // システム動作定義の登録
  manager->SetSystemAction(new DaqSystemAction());

  // ラン動作定義の登録
  manager->SetRunAction(new DaqRunAction());

  // イベント動作定義の登録
  manager->SetEventAction(new DaqEventAction());

  // クレート定義の登録
  manager->SetCrateDefinition(new DaqCrateDefinition());

  // 読み出しブック定義の登録
  manager->SetReadoutBookDefinition(new DaqReadoutBookDefinition());

  // 対話モードの開始
  manager->SessionStart();

  // 最後にランマネージャーを削除する
  delete manager;

  return 0;
}
